Bug 1014761 - cinder: lauch instance from image (as new volume) fails when giving different size to volume (NoneType' object has no attribute 'update_volume_group_info)
cinder: lauch instance from image (as new volume) fails when giving different...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
4.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Eric Harney
Dafna Ron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 13:27 EDT by Dafna Ron
Modified: 2016-05-12 09:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: openstack-cinder-2013.2.3-2.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 09:40:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (1.52 KB, application/x-gzip)
2013-10-02 13:33 EDT, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1221874 None None None Never
Launchpad 1234303 None None None Never

  None (edit)
Description Dafna Ron 2013-10-02 13:27:34 EDT
Description of problem:

I tried running a new instance from image (create new volume)
if device size remains 1 we can launch the instance and create the volume.
but if I change the device size to 30 we fail creating the volume with attribute error

Version-Release number of selected component (if applicable):

openstack-cinder-2013.2-0.9.b3.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. install Havana release 
2. create an image 
3. try to launch an instance from image (new volume) and add a bigger size to the device size filed. 

Actual results:

we fail to create the volume with attribute error 

Expected results:

we should succeed to create the volume 

Additional info:


2013-09-25 17:31:16.469 27155 ERROR cinder.openstack.common.rpc.amqp [req-762c88c8-cdbb-47b3-bd36-904f547cd9c5 None None] Exception during message handling
2013-09-25 17:31:16.469 27155 TRACE cinder.openstack.common.rpc.amqp Traceback (most recent call last):
2013-09-25 17:31:16.469 27155 TRACE cinder.openstack.common.rpc.amqp   File "/usr/lib/python2.6/site-packages/cinder/openstack/common/rpc/amqp.py", line 441, in _process_data
2013-09-25 17:31:16.469 27155 TRACE cinder.openstack.common.rpc.amqp     **args)
2013-09-25 17:31:16.469 27155 TRACE cinder.openstack.common.rpc.amqp   File "/usr/lib/python2.6/site-packages/cinder/openstack/common/rpc/dispatcher.py", line 148, in dispatch
2013-09-25 17:31:16.469 27155 TRACE cinder.openstack.common.rpc.amqp     return getattr(proxyobj, method)(ctxt, **kwargs)
2013-09-25 17:31:16.469 27155 TRACE cinder.openstack.common.rpc.amqp   File "/usr/lib/python2.6/site-packages/cinder/volume/manager.py", line 756, in publish_service_capabilities
2013-09-25 17:31:16.469 27155 TRACE cinder.openstack.common.rpc.amqp     self._report_driver_status(context)
2013-09-25 17:31:16.469 27155 TRACE cinder.openstack.common.rpc.amqp   File "/usr/lib/python2.6/site-packages/cinder/volume/manager.py", line 748, in _report_driver_status
2013-09-25 17:31:16.469 27155 TRACE cinder.openstack.common.rpc.amqp     volume_stats = self.driver.get_volume_stats(refresh=True)
2013-09-25 17:31:16.469 27155 TRACE cinder.openstack.common.rpc.amqp   File "/usr/lib/python2.6/site-packages/cinder/volume/drivers/lvm.py", line 669, in get_volume_stats
2013-09-25 17:31:16.469 27155 TRACE cinder.openstack.common.rpc.amqp     self._update_volume_stats()
2013-09-25 17:31:16.469 27155 TRACE cinder.openstack.common.rpc.amqp   File "/usr/lib/python2.6/site-packages/cinder/volume/drivers/lvm.py", line 677, in _update_volume_stats
2013-09-25 17:31:16.469 27155 TRACE cinder.openstack.common.rpc.amqp     self.vg.update_volume_group_info()
2013-09-25 17:31:16.469 27155 TRACE cinder.openstack.common.rpc.amqp AttributeError: 'NoneType' object has no attribute 'update_volume_group_info'
2013-09-25 17:31:16.469 27155 TRACE cinder.openstack.common.rpc.amqp 
2013-10-02 13:56:08.968 8386 ERROR cinder.openstack.common.rpc.amqp [req-dd5d102a-5d8f-45ac-8ab0-8aa534a02eb5 None None] Exception during message handling
2013-10-02 13:56:08.968 8386 TRACE cinder.openstack.common.rpc.amqp Traceback (most recent call last):
2013-10-02 13:56:08.968 8386 TRACE cinder.openstack.common.rpc.amqp   File "/usr/lib/python2.6/site-packages/cinder/openstack/common/rpc/amqp.py", line 441, in _process_data
2013-10-02 13:56:08.968 8386 TRACE cinder.openstack.common.rpc.amqp     **args)
2013-10-02 13:56:08.968 8386 TRACE cinder.openstack.common.rpc.amqp   File "/usr/lib/python2.6/site-packages/cinder/openstack/common/rpc/dispatcher.py", line 148, in dispatch
2013-10-02 13:56:08.968 8386 TRACE cinder.openstack.common.rpc.amqp     return getattr(proxyobj, method)(ctxt, **kwargs)
2013-10-02 13:56:08.968 8386 TRACE cinder.openstack.common.rpc.amqp   File "/usr/lib/python2.6/site-packages/cinder/volume/manager.py", line 756, in publish_service_capabilities
2013-10-02 13:56:08.968 8386 TRACE cinder.openstack.common.rpc.amqp     self._report_driver_status(context)
2013-10-02 13:56:08.968 8386 TRACE cinder.openstack.common.rpc.amqp   File "/usr/lib/python2.6/site-packages/cinder/volume/manager.py", line 748, in _report_driver_status
2013-10-02 13:56:08.968 8386 TRACE cinder.openstack.common.rpc.amqp     volume_stats = self.driver.get_volume_stats(refresh=True)
2013-10-02 13:56:08.968 8386 TRACE cinder.openstack.common.rpc.amqp   File "/usr/lib/python2.6/site-packages/cinder/volume/drivers/lvm.py", line 669, in get_volume_stats
2013-10-02 13:56:08.968 8386 TRACE cinder.openstack.common.rpc.amqp     self._update_volume_stats()
2013-10-02 13:56:08.968 8386 TRACE cinder.openstack.common.rpc.amqp   File "/usr/lib/python2.6/site-packages/cinder/volume/drivers/lvm.py", line 677, in _update_volume_stats
2013-10-02 13:56:08.968 8386 TRACE cinder.openstack.common.rpc.amqp     self.vg.update_volume_group_info()
2013-10-02 13:56:08.968 8386 TRACE cinder.openstack.common.rpc.amqp AttributeError: 'NoneType' object has no attribute 'update_volume_group_info'
2013-10-02 13:56:08.968 8386 TRACE cinder.openstack.common.rpc.amqp 
2013-10-02 13:56:09.964 8386 ERROR cinder.brick.local_dev.lvm [req-c86406a3-c450-430b-836f-65f53a4dd6a2 None None] Unable to locate Volume Group cinder-volumes
2013-10-02 13:56:09.964 8386 ERROR cinder.service [req-c86406a3-c450-430b-836f-65f53a4dd6a2 None None] Unhandled exception
2013-10-02 13:56:09.964 8386 TRACE cinder.service Traceback (most recent call last):
2013-10-02 13:56:09.964 8386 TRACE cinder.service   File "/usr/lib/python2.6/site-packages/cinder/service.py", line 228, in _start_child
2013-10-02 13:56:09.964 8386 TRACE cinder.service     self._child_process(wrap.server)
2013-10-02 13:56:09.964 8386 TRACE cinder.service   File "/usr/lib/python2.6/site-packages/cinder/service.py", line 205, in _child_process
2013-10-02 13:56:09.964 8386 TRACE cinder.service     launcher.run_server(server)
2013-10-02 13:56:09.964 8386 TRACE cinder.service   File "/usr/lib/python2.6/site-packages/cinder/service.py", line 96, in run_server
2013-10-02 13:56:09.964 8386 TRACE cinder.service     server.start()
2013-10-02 13:56:09.964 8386 TRACE cinder.service   File "/usr/lib/python2.6/site-packages/cinder/service.py", line 385, in start
2013-10-02 13:56:09.964 8386 TRACE cinder.service     self.manager.init_host()
2013-10-02 13:56:09.964 8386 TRACE cinder.service   File "/usr/lib/python2.6/site-packages/cinder/volume/manager.py", line 170, in init_host
2013-10-02 13:56:09.964 8386 TRACE cinder.service     self.driver.check_for_setup_error()
2013-10-02 13:56:09.964 8386 TRACE cinder.service   File "/usr/lib/python2.6/site-packages/cinder/volume/drivers/lvm.py", line 92, in check_for_setup_error
2013-10-02 13:56:09.964 8386 TRACE cinder.service     raise exception.VolumeBackendAPIException(data=message)
2013-10-02 13:56:09.964 8386 TRACE cinder.service VolumeBackendAPIException: Bad or unexpected response from the storage volume backend API: Volume Group cinder-volumes does not exist
2013-10-02 13:56:09.964 8386 TRACE cinder.service
Comment 1 Dafna Ron 2013-10-02 13:33:17 EDT
Created attachment 806653 [details]
logs
Comment 2 Dafna Ron 2013-10-02 13:34:08 EDT
https://bugs.launchpad.net/cinder/+bug/1234303
Comment 3 Eric Harney 2015-03-02 12:31:17 EST
Fixed in 2013.2, see launchpad bug 1221874.

Note You need to log in before you can comment on or make changes to this bug.